{{- if eq .Values.gardener.seed.provider "warren" }}
apiVersion: {{ include "storageclassversion" . }}
kind: StorageClass
metadata:
  name: {{ .Values.config.etcd.storage.className }}
  labels:
{{ include "labels" . | indent 4 }}
  annotations:
    resources.gardener.cloud/delete-on-invalid-update: "true"
provisioner: csi.storage.warren.io
volumeBindingMode: {{ .Values.gardener.seed.spec.provider.providerConfig.volumeBindingMode }}
allowVolumeExpansion: true
{{- if .Values.gardener.seed.spec.provider.providerConfig.fsType }}
parameters:
  csi.storage.k8s.io/fstype: {{ .Values.gardener.seed.spec.provider.providerConfig.fsType }}
{{- end }}
{{- end }}
